Security update for schismtracker (important)

2019-08-29T06:10:51
ID OPENSUSE-SU-2019:2019-1
Type suse
Reporter Suse
Modified 2019-08-29T06:10:51

Description

This update for schismtracker fixes the following issues:

The following security issues were fixed:

  • CVE-2019-14523: Fixed an integer underflow in the Amiga Oktalyzer parser (boo#1144266).
  • CVE-2019-14524: Fixed a heap overflow in the MTM loader (boo#1144261).

The following non-security issues were fixed:

  • Support 15-channel MOD files.
  • Support undocumented MIDI macro characters, and support character p (MIDI program) properly.

This update was imported from the openSUSE:Leap:15.0:Update update project.